Thesaurus
Reference for the thesaurus endpoints of the Interact REST API.
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
- GET /api/thesaurus/words
- POST /api/thesaurus/words
- DELETE /api/thesaurus/words
- GET /api/thesaurus/word/{wordId}
- GET /api/thesaurus/word/{wordId}/synonyms
- POST /api/thesaurus/word/{wordId}/synonyms
- PUT /api/thesaurus/word/{wordId}
- DELETE /api/thesaurus/word/{wordId}
- DELETE /api/thesaurus/word/{wordId}/synonym/{synonymId}
- DELETE /api/thesaurus/word/{wordId}/synonyms
GET /api/thesaurus/words
List words.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
query |
query | string | No | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No | |
sortDirection |
query | string | No | Allowed values: Ascending, Descending |
sortColumn |
query | string | No | Allowed values: Words, Synonyms, SynonymsOf |
Responses
| Status | Body |
|---|---|
| 200 | object |
POST /api/thesaurus/words
Create a word.
Request body
{
"Word": "string"
}| Field | Type |
|---|---|
Word | string |
Responses
| Status | Body |
|---|---|
| 200 | object |
DELETE /api/thesaurus/words
Delete a word.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wordIds |
query | array of integer | Yes |
Responses
| Status | Body |
|---|---|
| 200 | object |
GET /api/thesaurus/word/{wordId}
Get a word by ID.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wordId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | object |
GET /api/thesaurus/word/{wordId}/synonyms
List synonyms.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wordId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | object |
POST /api/thesaurus/word/{wordId}/synonyms
Create a synonym.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wordId |
path | integer (int32) | Yes |
Request body
{
"SynonymWordId": 0,
"CreateReverse": true
}| Field | Type |
|---|---|
SynonymWordId | integer (int32) |
CreateReverse | boolean |
Responses
| Status | Body |
|---|---|
| 200 | object |
PUT /api/thesaurus/word/{wordId}
Update a word.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wordId |
path | integer (int32) | Yes |
Request body
{
"Word": "string"
}| Field | Type |
|---|---|
Word | string |
Responses
| Status | Body |
|---|---|
| 200 | object |
DELETE /api/thesaurus/word/{wordId}
Delete a word.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wordId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | object |
DELETE /api/thesaurus/word/{wordId}/synonym/{synonymId}
Delete a synonym.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wordId |
path | integer (int32) | Yes | |
synonymId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | object |
DELETE /api/thesaurus/word/{wordId}/synonyms
Delete a synonym.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
wordId |
path | integer (int32) | Yes | |
synonymIds |
query | array of integer | Yes |
Responses
| Status | Body |
|---|---|
| 200 | object |
Section: REST API